MODULE Module1;

IMPORT
  SYSTEM, Forms, Messages, Dialogs, StdCtrls, Module2;

CONST
  BTN_SHOW = 0;
  BTN_HIDE = 1;
  BTN_MSG  = 2;
  EDT_ID   = 3;
  MEMO_ID  = 4;

TYPE
  TForm  = POINTER TO RECORD(Forms.TForm)

    Button1: StdCtrls.TButton;
    Button2: StdCtrls.TButton;
    Button3: StdCtrls.TButton;
    Edit1  : StdCtrls.TEdit;
    Memo1  : StdCtrls.TMemo;

    PROCEDURE Create;
    BEGIN
      Left   := 200;
      Top    := 200;
      Width  := 320;
      Height := 240;
      Caption:='Form 1';
      
      NEW(Button1);
      Button1.Width:=100;
      Button1.Height:=25;
      Button1.Left:=Width-Button1.Width-10;
      Button1.Top:=Height-60;
      Button1.Caption:='Show';
      Button1.Create(SELF,BTN_SHOW);

      NEW(Button2);
      Button2.Width:=100;
      Button2.Height:=25;
      Button2.Left:=10;
      Button2.Top:=Height-60;
      Button2.Caption:='Hide';
      Button2.Create(SELF,BTN_HIDE);

      NEW(Button3);
      Button3.Width:=100;
      Button3.Height:=25;
      Button3.Left:=Button1.Width+10;
      Button3.Top:=Height-60;
      Button3.Caption:='Msg';
      Button3.Create(SELF,BTN_MSG);

      NEW(Edit1);
      Edit1.Width:=290;
      Edit1.Height:=25;
      Edit1.Left:=10;
      Edit1.Top:=10;
      Edit1.Create(SELF,EDT_ID);

      NEW(Memo1);
      Memo1.Width:=290;
      Memo1.Height:=125;
      Memo1.Left:=10;
      Memo1.Top:=50;
      Memo1.Create(SELF,MEMO_ID);

    END Create;

    PROCEDURE WindowProc(msg,wParam,lParam: LONGINT);
    BEGIN
      CASE msg OF
          Messages.WM_LBUTTONDOWN : ;
        | Messages.WM_COMMAND     :
                                    CASE wParam OF
                                        BTN_SHOW: Module2.Form.Show;
                                      | BTN_HIDE: Module2.Form.Hide;
                                      | BTN_MSG : Dialogs.ShowMessage('Dialog message');
                                    ELSE
                                    END;
      ELSE
      END;
    END WindowProc;
    
  END;

VAR
  Form*: TForm;

BEGIN
  NEW(Form);
END Module1.
