program FastIde;

uses
  Forms,
  MainFrm in 'Forms\MainFrm.pas' {MainForm},
  ToolFrm in 'Forms\ToolFrm.pas' {ToolPanel},
  InspectFrm in 'Forms\InspectFrm.pas' {InspectPanel},
  ManagerFrm in 'Forms\ManagerFrm.pas' {ManagerPanel},
  StructFrm in 'Forms\StructFrm.pas' {StructPanel},
  DebugFrm in 'Forms\DebugFrm.pas' {DebugPanel},
  SPageControl in 'Controls\SPageControl.pas',
  STreeView in 'Controls\STreeView.pas',
  SynEdit in 'Controls\SynEdit.pas',
  GlowControls in 'Controls\GlowControls.pas',
  OptionsFrm in 'Forms\OptionsFrm.pas' {OptionsForm},
  OBRHighliter in 'Units\Highligter\OBRHighliter.pas',
  OBRParser in 'Units\Managers\OBRParser.pas',
  OBRScaner in 'Units\Managers\OBRScaner.pas',
  PropList in 'Controls\PropList.pas',
  ObjInspector in 'Controls\ObjInspector.pas',
  PropEditor in 'Controls\PropEditor.pas',
  GIFImage in 'Controls\GIFImage.pas',
  PngImage in 'Controls\PngImage.pas',
  MessagesFrm in 'Forms\MessagesFrm.pas' {MsgBox},
  _SYSTEM in 'Units\Compiler\Oberon\_SYSTEM.pas',
  Compiler in 'Units\Compiler\Oberon\Compiler.pas',
  OER in 'Units\Compiler\Oberon\OER.pas',
  OPA in 'Units\Compiler\Oberon\OPA.pas',
  OPAData in 'Units\Compiler\Oberon\OPAData.pas',
  OPB in 'Units\Compiler\Oberon\OPB.pas',
  OPE in 'Units\Compiler\Oberon\OPE.pas',
  OPL in 'Units\Compiler\Oberon\OPL.pas',
  OPM in 'Units\Compiler\Oberon\OPM.pas',
  OPP in 'Units\Compiler\Oberon\OPP.pas',
  OPS in 'Units\Compiler\Oberon\OPS.pas',
  OPT in 'Units\Compiler\Oberon\OPT.pas',
  OPV in 'Units\Compiler\Oberon\OPV.pas',
  OPCi386 in 'Units\Compiler\Oberon\BackEnd\i386\OPCi386.pas',
  OPLi386 in 'Units\Compiler\Oberon\BackEnd\i386\OPLi386.pas',
  OPOi386 in 'Units\Compiler\Oberon\BackEnd\i386\OPOi386.pas',
  OPVi386 in 'Units\Compiler\Oberon\BackEnd\i386\OPVi386.pas',
  PathUtils in 'Controls\PathUtils.pas',
  LNBi386 in 'Units\Compiler\Oberon\Linker\LNBi386.pas',
  LNKi386 in 'Units\Compiler\Oberon\Linker\LNKi386.pas',
  LNRi386 in 'Units\Compiler\Oberon\Linker\LNRi386.pas',
  LNSi386 in 'Units\Compiler\Oberon\Linker\LNSi386.pas',
  LNTi386 in 'Units\Compiler\Oberon\Linker\LNTi386.pas',
  FindFrm in 'Forms\FindFrm.pas' {FindForm};

{$R *.res}

begin
  //ReportMemoryLeaksOnShutdown := true;//DebugHook <> 0;
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.CreateForm(TPrjOptionsForm, PrjOptionsForm);
  Application.CreateForm(TMsgBox, MsgBox);
  Application.CreateForm(TFindForm, FindForm);
  Application.Run;
end.
